%define _use_internal_dependency_generator 0

Summary: Crypt-Cracklib module for perl
Name: perl-Crypt-Cracklib
Version: 0.01
Release: 3%{?dist}
License: distributable
Group: Applications/CPAN
Source0: Crypt-Cracklib-%{version}.tar.gz
Patch0: Crypt-Cracklib-0.01-makefile.patch
Url: http://search.cpan.org/search?query=Crypt%3A%3ACracklib
BuildRoot: /var/tmp/perl-Crypt-Cracklib-buildroot/
Requires: perl >= 0:5.8.0
Requires: cracklib >= 2.7
BuildRequires: cracklib >= 2.7

%description
Crypt::Cracklib - Perl interface to Alec Muffett's Cracklib.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Crypt-Cracklib-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Crypt-Cracklib-%{version}-filelist
if [ "$(cat Crypt-Cracklib-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Crypt-Cracklib-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/Crypt
%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/Crypt

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Aug 10 2004 Shad L. Lords <slords@mail.com>
- update to latest version from CPAN
